Nowe posty

xx Repozytorium z czcionkami M$ (2)
Wczoraj o 17:58:30
xx Pomoc w wyborze środowiska graficznego (11)
2022-05-23, 22:41:56
xx Usunąłem przez przypadek /bin co zrobić? (2)
2022-05-23, 21:36:24
xx Obrócony obraz lubuntu, xubuntu na lenovo Miix 320 (6)
2022-05-23, 11:56:25
xx Pierwsze kroki w Arch (9)
2022-05-22, 23:39:51
xx DBus (0)
2022-05-22, 12:47:35
xx Przedni panel (1)
2022-05-20, 01:34:35
xx Modem Medion S4222 jak zainstalować aplikację do jego obsługi? (52)
2022-05-18, 10:14:49
xx Strona o testach penetracyjnych, hackingu (33)
2022-05-18, 08:09:16
xx Nadawanie uprawnień przy kopiowaniu themes do katalogu (15)
2022-05-17, 21:18:16

Pokaż wiadomości

Ta sekcja pozwala Ci zobaczyć wszystkie wiadomości wysłane przez tego użytkownika. Zwróć uwagę, że możesz widzieć tylko wiadomości wysłane w działach do których masz aktualnie dostęp.


Wiadomości - Damian.R

Strony: [1]
1
Cześć, chcę odłączyć swoją maszynę z ubuntu od kabelka i schować go wysoko ale tak żeby łączyć się w siecią domową bezprzewodowo (wifi)
Na wstępie powiem że korzystam z ubuntu-servera bez środowiska graficznego.


karol@ubuntu:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 18.04.5 LTS
Release:        18.04
Codename:       bionic
karol@ubuntu:~$ ifconfig
enp3s0: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 192.168.1.45  netmask 255.255.255.0  broadcast 192.168.1.255
        inet6 f..........08:357b  prefixlen 64  scopeid 0x20<link>
        inet6 ..............fe08:357b  prefixlen 64  scopeid 0x0<global>
        ether 3c:4......08:35:7b  txqueuelen 1000  (Ethernet)
        RX packets 4119  bytes 808772 (808.7 KB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 1258  bytes 182653 (182.6 KB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1000  (Local Loopback)
        RX packets 136  bytes 10016 (10.0 KB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 136  bytes 10016 (10.0 KB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0


czemu przy nazwie karty jest informacja UP?

karol@ubuntu:~$ iwconfig
enp3s0    no wireless extensions.

lo        no wireless extensions.
Jak dodać te dodatki ??

karol@ubuntu:~$ iwlist wlan0 scan
wlan0     Interface doesn't support scanning.

Proszę o zeskanowanie dostępnych sieci, a on nie chce...

Podrzucicie jakieś podpowiedzi co może być nie tak ???
I co to jest wlan0 i co to jest lo ?

2
Dla pewności przeinstalowałem jeszcze raz cały system, od razu instalując Debiana w wersji Buster.
Dalej ten sam problem.

Rozwiązanie jest chwilowe takie że, na tym samym sprzęcie zainstalowałem ubuntu-server w wersji 16 (ale od razu musałem zrobić upgrade do wersji 18 bo niektóre pakiety chyba "php-pbca" nie są już dostępne dla ubuntu-server 16 a są wymagane do zonemindera.)

Po upgradzie do wersji 18 ubuntuserwera i wykorzystaniu oficjalnego poradnika aplikacja ZM działa.

3
https://files.fm/u/h6yezj7nb#/view/prxwd2b49
Dodaje zdjęcie pliku sources.list

Dodałem wpis tak jak podałeś w tagach CODE

Zapisałem.

 apt update

Stary:1 http://security.debian.org/debian-security buster/updates InRelease
Stary:2 http://deb.debian.org/debian buster InRelease
Stary:3 http://deb.debian.org/debian buster-updates InRelease
Stary:4 http://ftp.de.debian.org/debian buster InRelease
Stary:5 http://repo.mysql.com/apt/debian buster InRelease
Stary:6 https://deb.debian.org/debian buster-backports InRelease
Ign:7 https://zmrepo.zoneminder.com/debian/release-1.34 buster InRelease
Błąd:8 https://zmrepo.zoneminder.com/debian/release-1.34 buster Release
  404  Not Found [IP: 69.165.169.197 443]
Czytanie list pakietów... Gotowe
E: The repository 'https://zmrepo.zoneminder.com/debian/release-1.34 buster Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
I znowu nie można odnaleźć pakietu.
Czy któryś z forumowiczów może sprawdzić czy u was działa ten adres repozytorium ??
Co do zdjęcia z pliku soruces, czy to ma znaczenie czy / jest podświetlony na czerwono czy na różowo ??

4
Po nie udanych próbach, instalacjach pakietów itp system nie wytrzymał.
Zainstalowałem od nowa system.
Teraz jest tak:
root@debian:~# lsb_release -a
No LSB modules are available.
Distributor ID: Debian
Description:    Debian GNU/Linux 10 (buster)
Release:        10
Codename:       buster
Sources list jest takI:
deb http://deb.debian.org/debian/ buster main
#deb-src http://deb.debian.org/debian/ buster main

deb http://security.debian.org/debian-security buster/updates main
#deb-src http://security.debian.org/debian-security buster/updates main

# buster-updates, previously known as 'volatile'
deb http://deb.debian.org/debian/ buster-updates main
deb http://ftp.de.debian.org/debian buster main contrib

# Stable backports
deb https://deb.debian.org/debian buster-backports main contrib non-free
#deb-src https://deb.debian.org/debian buster-backports main contrib non-free

#ZM
deb https://zmrepo.zoneminder.com/debian/release-1.34 buster /


Adres repo do ZM jest skopiowany bezpośrednio z ich strony.  https://wiki.zoneminder.com/Debian_10_Buster_with_Zoneminder_1.34.x_from_ZM_Repo

Do tej pory wszystko od, wpisuje tylko apt update i zaczynają się błędy nadal.
root@debian:~# apt update
Stary:1 http://security.debian.org/debian-security buster/updates InRelease
Stary:2 http://deb.debian.org/debian buster InRelease
Stary:3 http://deb.debian.org/debian buster-updates InRelease
Stary:4 http://ftp.de.debian.org/debian buster InRelease
Stary:5 https://deb.debian.org/debian buster-backports InRelease
Ign:6 https://zmrepo.zoneminder.com/debian/release-1.34 buster InRelease
Błąd:7 https://zmrepo.zoneminder.com/debian/release-1.34 buster Release
  404  Not Found [IP: 69.165.169.197 443]
Czytanie list pakietów... Gotowe
E: The repository 'https://zmrepo.zoneminder.com/debian/release-1.34 buster Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
root@debian:~#


Jak wpiszę adres repozytorium w przeglądarce, to wygląda na to że adres jest poprawny. Ale nie wiem dlaczego nie wyszukuje tego pliku release file?


Jeszcze oglądam te pliki na stronie repo, i większość plików ma dopisek ARM lub AMD64... czy to może być tak że tam nie ma plików do instalowania ZM na architekturze i386 ? Czy całkiem coś pomyliłem.?
Teoretycznie jest tam plik Realise i w nim jest informacja
Architectures: all i386 amd64 armhf arm64
ale plików chyba brak....

5
Tak, w końcu udało mi się zaktualizować system. To znaczy zaktualizowany jest od teraz.
root@debian:~# hostnamectl
   Static hostname: debian
         Icon name: computer-laptop
           Chassis: laptop
        Machine ID: 9d80d44da90644e1a91f44255fa5f8fe
           Boot ID: 4b2ba2e210df47a0af7101d6e0a98127
  Operating System: Debian GNU/Linux 10 (buster)
            Kernel: Linux 4.9.0-15-686-pae
      Architecture: x86
root@debian:~#

Mój sources.list wygląda tak:
deb http://deb.debian.org/debian debian buster main

deb http://deb.debian.org/debian buster-updates main

deb http://deb.debian.org/debian buster updates main

deb https://zmrepo.zoneminder.com/debian/release-1.34/buster/ buster ZoneMinder

Wpisuję komendę apt-get update, i dużo się dzieje.... końcówka wygląda tak:
Czytanie list pakietów... Gotowe
W: The repository 'http://deb.debian.org/debian debian Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: The repository 'https://zmrepo.zoneminder.com/debian/release-1.34/buster buster Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Nie udało się pobrać http://deb.debian.org/debian/dists/debian/buster/binary-i386/Packages  404  Not Found [IP: 2a04:4e42:3::644 80]
E: Nie udało się pobrać https://zmrepo.zoneminder.com/debian/release-1.34/buster/dists/buster/ZoneMinder/binary-i386/Packages  404  Not Found
E: Nie udało się pobrać niektórych plików indeksu, zostały one zignorowane lub użyto ich starszej wersji.
Później :
root@debian:~# apt-get install zoneminder
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności
Odczyt informacji o stanie... Gotowe
E: Nie udało się odnaleźć pakietu zoneminder
root@debian:~#


Czy na https://zmrepo.zoneminder.com mam szukać katalogu binary-i386??

6
Niestety.

root@debian:~# cat /etc/debian_version
9.13
root@debian:~# nano /etc/apt/sources.list
root@debian:~# apt-get update
Stary:1 http://security.debian.org/debian-security buster/updates InRelease
Stary:2 http://ftp.pl.debian.org/debian buster InRelease
Stary:3 http://ftp.pl.debian.org/debian buster-updates InRelease
Stary:4 http://repo.mysql.com/apt/debian buster InRelease
Ign:5 https://zmrepo.zoneminder.com/debian/release buster/ InRelease
Ign:6 https://zmrepo.zoneminder.com/debian/release-1.34 stretch/ InRelease
Stary:7 https://zmrepo.zoneminder.com/debian/release buster/ Release
Stary:8 https://zmrepo.zoneminder.com/debian/release-1.34 stretch/ Release
Czytanie list pakietów... Gotowe
root@debian:~# apt-get install zoneminder
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności
Odczyt informacji o stanie... Gotowe
E: Nie udało się odnaleźć pakietu zoneminder
root@debian:~# apt-get install zoneminder-1.34
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności
Odczyt informacji o stanie... Gotowe
E: Nie udało się odnaleźć pakietu zoneminder-1.34
E: Couldn't find any package by glob 'zoneminder-1.34'
E: Nie udało się znaleźć żadnego pakietu według wyrażenia regularnego "zoneminder-1.34"
root@debian:~#
Dodałem teraz wpis  z ich strony do pliku sources.list
Mój plik wygląda tak:
deb http://ftp.pl.debian.org/debian/ buster main

deb http://security.debian.org/debian-security buster/updates main

# stretch-updates, previously known as 'volatile'
deb http://ftp.pl.debian.org/debian/ buster-updates main

# Dodatkowe repozytoria dla mysql
# MySQL D9:
deb http://repo.mysql.com/apt/debian/ buster mysql-5.7


#Dodatkowe repozytorium do instalowacnia ZoneMinder
deb https://zmrepo.zoneminder.com/debian/release buster/

# ZoneMinder repository
deb https://zmrepo.zoneminder.com/debian/release-1.34 stretch/
Link do repo dodałem z podanego linku, z tego poradnik też korzystałem wcześniej.

System dalej nie może znaleźć takiego pakietu.

7
Trochę zrobiłem porządek w pliku sources.list
Teraz wygląda tak:
  
deb http://ftp.pl.debian.org/debian/ stretch main

deb http://security.debian.org/debian-security stretch/updates main

# stretch-updates, previously known as 'volatile'
deb http://ftp.pl.debian.org/debian/ stretch-updates main

# Dodatkowe repozytoria dla mysql
# MySQL D9:
deb http://repo.mysql.com/apt/debian/ stretch mysql-5.7


#Dodatkowe repozytorium do instalowacnia ZoneMinder
deb https://zmrepo.zoneminder.com/debian/release stretch/





A tak mam po komnedzie apt-get update i apt-get install zoneminder
root@debian:~# apt-get update
Ign:1 http://ftp.pl.debian.org/debian stretch InRelease
Stary:2 http://ftp.pl.debian.org/debian stretch-updates InRelease
Stary:3 http://security.debian.org/debian-security stretch/updates InRelease
Stary:4 http://repo.mysql.com/apt/debian stretch InRelease
Stary:5 http://ftp.pl.debian.org/debian stretch Release
Ign:6 https://zmrepo.zoneminder.com/debian/release stretch/ InRelease
Stary:7 https://zmrepo.zoneminder.com/debian/release stretch/ Release
Czytanie list pakietów... Gotowe
root@debian:~# apt-get install zoneminder
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności
Odczyt informacji o stanie... Gotowe
E: Nie udało się odnaleźć pakietu zoneminder
root@debian:~#

To są moje wyniki na ten moment, teraz będę próbował zaktualizować system.

8
Witajcie, chce zainstalować na swoim serweru ZoneMinder do kamer ip.
Mój sources list wygląda tak:
root@debian:~# nano /etc/apt/sources.list
  GNU nano 2.7.4                                                                   Plik: /etc/apt/sources.list

deb-src http://security.debian.org/debian-security stretch/updates main

# stretch-updates, previously known as 'volatile'
deb http://ftp.pl.debian.org/debian/ stretch-updates main
deb-src http://ftp.pl.debian.org/debian/ stretch-updates main

# Dodatkowe repozytoria dla mysql
# MySQL D9:
deb http://repo.mysql.com/apt/debian/ stretch mysql-5.7
deb-src http://repo.mysql.com/apt/debian/ stretch mysql-5.7



#Dodatkowe repozytorium do instalowacnia ZoneMinder
#deb http://httpredir.debian.org/debian jessie-backports main contrib non-free
#deb https://zmrepo.zoneminder.com/debian/release-1.34 buster/
deb https://zmrepo.zoneminder.com/debian/release stretch/
#deb http://archive.debian.org/debian/ jessie-backports main contrib non-free


Moje wersja systemu:
root@debian:~# lsb_release -a
No LSB modules are available.
Distributor ID: Debian
Description:    Debian GNU/Linux 9.13 (stretch)
Release:        9.13
Codename:       stretch
root@debian:~#
Problem polega na tym za po poleceniu apt-get install zoneminder mam komunikat że pakiet nie został odnaleziony.

Ogólnie korzystam z takiego poradnika:
https://zoneminder.readthedocs.io/en/stable/installationguide/debian.html#easy-way-debian-stretch

W czym może być problem że nie moge zainstlować takie pokietu jak ZoneMinder???

9
Inne / Nie mogę instalować pakietów
« dnia: 2021-04-25, 11:09:18 »
Witajcie,
Mam w domu dysk Dlink 320L, udało mi się uzyskać na nim dostęp do shella.
Jednak mam taki problem że po pierwsze nie jestem w stanie uzyskać informacji o dystrybucji tego linuxa.
Ani nie jestem w stanie zainstalować niczego z repozytoriów bo polecenia yum i apt-get dają odpowiedź "command not found"

Po wpisaniu comendy uname -a dostaję takie informacje:
[root@dlink-02BD37 ~]# uname -a
Linux dlink-02BD37 2.6.31.8 #1 Wed Aug 22 16:55:05 CST 2012 armv5tel GNU/Linux
W jaki sposób mogę się dopowiedzieć jaka to dystrybucja ?
Komendy z googla
[root@dlink-02BD37 ~]# at /etc/*-release
-bash: at: command not found

Jeszcze dorzucam zawartość folderu etc
[root@dlink-02BD37 ~]# cd /etc
[root@dlink-02BD37 etc]# ls
NAS_CFG                    localtime                  resolv.conf
avahi                      machine-id                 routeap.conf
certificate_https_all.pem  mail                       s3.conf
codepage                   mail_event_conf.xml        samba
dbus-1                     mdev.conf                  save_udhcpd_config
dropbear                   mediatype.spec             services
exip.txt                   model                      shadow
exports                    mt-daapd.conf              shared_name
ez-ipupdate.conf           mtab                       shells
fan_temperature.txt        mydlink.xml                sms_conf.xml
fstab                      netatalk                   snmpd.conf
gogoc.conf                 nsswitch.conf              ssh
group                      pam.d                      ssl
hosts                      passwd                     syslog.conf
hotplug                    passwd.webdav              template
icon.ico                   php                        trafshow
iconv_table                protocols                  udhcpd.conf
inittab                    quota                      udhcpd.conf.def
lighttpd                   rc.d                       upnpav_conf.xml
localnet                   rc.sh                      wide-dhcpv6

Na razie nie jestem w stanie zainstalować nawet MC.
Pomożecie ?

Strony: [1]